Thursday, November 13, 2014

Emacs: Lisp error: (error "Invalid face" modeline)

After upgrading to the latest version of emacs, I got this error:  'Lisp error: (error "Invalid face" modeline)'.
After a little research it came down to the modeline color command:
 (set-face-background 'modeline "plum")
(set-face-foreground 'modeline "black")
The problem was "modeline" has been replaced with "mode-line".
(set-face-background 'mode-line "plum")
(set-face-foreground 'mode-line "black")

Now emacs is happy, and I'm happy too.

2 comments:

Anonymous said...

Thanks! Helped with my school server settings, did not realize they upgraded various software and your post helped out.

Rodney Price said...

I ran into this today. Thanks for your help.